> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch debtor UCC records

> Search liens by debtor (i.e., company) information, such as URL, phone number, company_name, address, and collateral/assets description. Supports filtering by presence of collateral, assets, continuation, and amendments, as well as modification date.

You must provide at least one of the following filter parameters:

- `url`
- `company_id`
- `secured_party_company_id`
- `secured_party_name`
- `debtor_type` (`Individual` or `Organization`; omitted defaults to both)
- `phone`
- `company_name`
- `address`
- `city`
- `zip_code`
- `near_zip_code` with `radius` (`radius_unit` defaults to `mi`)
- `collateral`
- `collateral_match_mode` (`or` default; set to `and` for all collateral terms; alias: `collateral_contains_operator`)
- `assets`
- `has_collateral`
- `has_assets`
- `has_continuation`
- `has_amendment`
- `has_contacts`
- `modified_date`

- `date_filed`

- `date_expired`

- `filing_number`

- `company_filing_count`

- `naics_code`

- `naics_description`

- `eight_digit_sic_code`

- `eight_digit_sic_description`

- `four_digit_sic_code`

- `four_digit_sic_description`

- `two_digit_sic_code`

- `two_digit_sic_description`

- `industry`

- `secured_party_industry`

Sorting is available with `sort_by` and optional `sort_order`. Supported sort fields are `date_filed_unix`, `date_expired_unix`, `company_name`, and `secured_party`. For example: `sort_by: date_filed_unix:desc`.

If you provide multiple filters, only records that match all of them will be returned. The response includes paginated UCC lien records that match the provided criteria.

You can also exclude specific values using the `exclude` parameter, which accepts a dictionary where keys are field names (accepts `url` and `phone`) and values are lists of values to exclude from the results.

Pagination uses cursorless offset paging with `page` and `per_page` (1–250). Responses include `page_number`, `per_page`, `total_pages`, and `total_records`, so you can iterate through results.

The response includes a `records` array of matching liens, each with detailed fields. The `total_records` field specifies the number of matches returned. See the **Field References** section of the documentation for a breakdown of each field returned in the response.



## OpenAPI

````yaml post /v1/ucc/debtor
openapi: 3.1.0
info:
  title: LeadX API
  version: 0.1.0
servers: []
security: []
tags:
  - name: All Attributes
    description: Aggregate and correlate data about companies and their associated records.
  - name: Better Business Bureau
    description: >-
      Retrieve Better Business Bureau (BBB) ratings and accreditation status for
      businesses.
  - name: Companies
    description: Enrich company data by URL, name, address, or phone.
  - name: Contacts
    description: Enrich data about contacts.
  - name: email
    description: Validate company email addresses.
  - name: Google Reviews
    description: Retrieve Google Reviews and ratings for businesses.
  - name: Mobile Number
    description: Enrich mobile phone numbers.
  - name: UCC
    description: Search across to the U.S. Uniform Commercial Code (UCC) lien filings.
paths:
  /v1/ucc/debtor:
    post:
      tags:
        - UCC
      summary: Fetch debtor UCC records
      description: >-
        Search liens by debtor (i.e., company) information, such as URL, phone
        number, company_name, address, and collateral/assets description.
        Supports filtering by presence of collateral, assets, continuation, and
        amendments, as well as modification date.


        You must provide at least one of the following filter parameters:


        - `url`

        - `company_id`

        - `secured_party_company_id`

        - `secured_party_name`

        - `debtor_type` (`Individual` or `Organization`; omitted defaults to
        both)

        - `phone`

        - `company_name`

        - `address`

        - `city`

        - `zip_code`

        - `near_zip_code` with `radius` (`radius_unit` defaults to `mi`)

        - `collateral`

        - `collateral_match_mode` (`or` default; set to `and` for all collateral
        terms; alias: `collateral_contains_operator`)

        - `assets`

        - `has_collateral`

        - `has_assets`

        - `has_continuation`

        - `has_amendment`

        - `has_contacts`

        - `modified_date`


        - `date_filed`


        - `date_expired`


        - `filing_number`


        - `company_filing_count`


        - `naics_code`


        - `naics_description`


        - `eight_digit_sic_code`


        - `eight_digit_sic_description`


        - `four_digit_sic_code`


        - `four_digit_sic_description`


        - `two_digit_sic_code`


        - `two_digit_sic_description`


        - `industry`


        - `secured_party_industry`


        Sorting is available with `sort_by` and optional `sort_order`. Supported
        sort fields are `date_filed_unix`, `date_expired_unix`, `company_name`,
        and `secured_party`. For example: `sort_by: date_filed_unix:desc`.


        If you provide multiple filters, only records that match all of them
        will be returned. The response includes paginated UCC lien records that
        match the provided criteria.


        You can also exclude specific values using the `exclude` parameter,
        which accepts a dictionary where keys are field names (accepts `url` and
        `phone`) and values are lists of values to exclude from the results.


        Pagination uses cursorless offset paging with `page` and `per_page`
        (1–250). Responses include `page_number`, `per_page`, `total_pages`, and
        `total_records`, so you can iterate through results.


        The response includes a `records` array of matching liens, each with
        detailed fields. The `total_records` field specifies the number of
        matches returned. See the **Field References** section of the
        documentation for a breakdown of each field returned in the response.
      operationId: debtor_post_api_v1_ucc_debtor_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DebtorRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
              example:
                success: true
                records:
                  - address: 2617 Anderson Road
                    address_raw: 2617  ANDERSON RD CRESCENT SPRINGS KY 41017
                    amendments: []
                    base_url: elementshairstudio.net
                    city: Crescent Springs
                    collateral: >-
                      All of the following property now owned or existing or
                      hereafter acquired by the Debtor (or by the Debtor with
                      spouse), wherever located: all accounts; inventory;
                      equipment; fixtures; instruments; documents; chattel
                      paper; investment property; deposit accounts; letter of
                      credit rights and all accessions to, replacements of and
                      substitutions for and all supporting obligations, products
                      and proceeds of any of the foregoing (in whatever form);
                      and all books, records and data relating to any of the
                      foregoing (in whatever form); together with Debtor’s right
                      title and interest in and to all software required to
                      utilize, create, maintain and process such records or data
                      on electronic media. Other than the sale or lease of
                      inventory in the ordinary course of Debtor’s business, the
                      purchase by or pledge to another person of any of
                      described collateral violates the rights of the Secured
                      Party. Any receipts of proceeds of the collateral by a
                      subordinate secured party violated the rights of the
                      Secured Party.
                    company_id: VMFUMBRGWGXCBNBEVKM5QU
                    company_name: ELEMENTS HAIR STUDIO LLC
                    continuation_count: 0
                    date_expired: '2026-04-26 14:22:00.000000'
                    date_expired_unix: 1777213320000
                    date_filed: '2021-04-26 14:22:00.000000'
                    date_filed_unix: 1619446920000
                    eight_digit_sic_code: '72310100'
                    eight_digit_sic_description: Cosmetology and personal hygiene salons
                    four_digit_sic_code: '7231'
                    four_digit_sic_description: Beauty shops
                    has_amendments: false
                    has_collateral: true
                    has_continuation: false
                    industry: Design Services
                    modified_date: 1760044766633
                    naics_code: '812113'
                    naics_description: Nail Salons
                    phones:
                      - '8594265222'
                    record_id: R8dJWrGz678BX58u95nytK
                    secured_party: U.S. BANK NATIONAL ASSOCIATION
                    secured_party_address: PO Box 3427
                    secured_party_address_raw: PO BOX 3427 OSHKOSH WI 54903
                    secured_party_base_url: usbank.com
                    secured_party_city: Oshkosh
                    secured_party_class: Bank
                    secured_party_eight_digit_sic_code: '65319903'
                    secured_party_eight_digit_sic_description: Fiduciary, real estate
                    secured_party_four_digit_sic_code: '6531'
                    secured_party_four_digit_sic_description: Real estate agents and managers
                    secured_party_industry: Banking
                    secured_party_naics_code: '531390'
                    secured_party_naics_description: Other Activities Related to Real Estate
                    secured_party_processed: false
                    secured_party_state: WI
                    secured_party_two_digit_sic_code: '65'
                    secured_party_two_digit_sic_description: Real Estate
                    secured_party_zip_code: '54903'
                    state: KY
                    state_db: KY
                    two_digit_sic_code: '72'
                    two_digit_sic_description: Personal Services
                    ucc_id: 2021-3143984-07-KY
                    ucc_number: 2021-3143984-07
                    ucc_type: UCC1
                    ucc_url_pdf: >-
                      https://api.leadx.io/v1/presign/ky/VMFUMBRGWGXCBNBEVKM5QU_2021-3143984-07-KY_2021-3143984-07.pdf
                    zip_code: '41017'
                page_number: 1
                per_page: 250
                total_pages: 1859
                total_records: 464570
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    DebtorRequest:
      properties:
        zip_code:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Zip Code
          description: >-
            Debtor ZIP code(s) for exact ZIP filtering. When `radius` is
            supplied without `near_zip_code`, a single `zip_code` is used as the
            radius anchor.
          examples:
            - - '90210'
              - '10001'
            - '90210'
        near_zip_code:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Near Zip Code
          description: >-
            Anchor ZIP code for radius search against debtor address
            coordinates.
          example: '90210'
        radius:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
          title: Radius
          description: Radius distance for geo search around `near_zip_code`.
          example: 25
        radius_unit:
          type: string
          enum:
            - mi
            - km
          title: Radius Unit
          description: Units for `radius`.
          default: mi
          example: mi
        sort_by:
          anyOf:
            - type: string
            - items:
                anyOf:
                  - type: string
                  - additionalProperties: true
                    type: object
              type: array
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Sort By
          description: >-
            Optional result sort. Supported fields: `date_filed_unix`,
            `date_expired_unix`, `company_name`, and `secured_party`. Add `:asc`
            or `:desc`, for example `date_filed_unix:desc`.
          examples:
            - date_filed_unix:desc
            - field: company_name
              order: asc
        sort_order:
          anyOf:
            - type: string
              enum:
                - asc
                - desc
            - type: 'null'
          title: Sort Order
          description: >-
            Default sort order when `sort_by` does not include `:asc` or
            `:desc`.
          example: desc
        saved_search_list_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Saved Search List Id
          description: Previously saved debtor search list id.
          example: abc123-client
        saved_search_field:
          anyOf:
            - type: string
              enum:
                - name
                - url
                - phone
                - address
                - industry
                - naics_code
                - naics_description
                - eight_digit_sic_code
                - eight_digit_sic_description
                - four_digit_sic_code
                - four_digit_sic_description
                - two_digit_sic_code
                - two_digit_sic_description
            - type: 'null'
          title: Saved Search Field
          description: Search field to use from the saved debtor search list.
          example: company_name
        url:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Url
          description: Debtor URL(s)
          example: https://www.equipmentshare.com
        company_id:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Company Id
          description: Debtor company_id value(s)
          examples:
            - - NHGFIAZYQ8FVARFFA9PCRD
              - VMFUMBRGWGXCBNBEVKM5QU
            - NHGFIAZYQ8FVARFFA9PCRD
        secured_party_company_id:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Secured Party Company Id
          description: Secured-party company_id value(s)
          examples:
            - - NHGFIAZYQ8FVARFFA9PCRD
              - VMFUMBRGWGXCBNBEVKM5QU
            - NHGFIAZYQ8FVARFFA9PCRD
        debtor_type:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Debtor Type
          description: >-
            Debtor type(s). Allowed values: `Individual`, `Organization`. When
            omitted, both are included.
          examples:
            - - Individual
              - Organization
            - Individual
            - Organization
        phone:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Phone
          description: Company phone number(s)
          examples:
            - - 123-456-7890
              - 987654321
            - 123-456-7890
        company_name:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Company Name
          description: Debtor company name(s)
          examples:
            - - Example Company
              - John West Auto Body Shop
            - Home Depot
        secured_party_name:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Secured Party Name
          description: Secured-party company name(s) to combine with debtor filters
          examples:
            - - John Deere
              - Wells Fargo
            - John Deere
        address:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Address
          description: Full street address(es) or any part of them
          examples:
            - - 123 Main St, Austin, TX 78701
              - 456 Oak Ave, Crescent Springs, KY
            - 123 Main St, Austin, TX 78701
        city:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: City
          description: Debtor city name(s)
          examples:
            - - Austin
              - Crescent Springs
            - Austin
        state:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: State
          description: Secured-party state(s) (2-letter abbreviation)
          examples:
            - - ND
              - MN
            - ND
        state_filing:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: State Filing
          description: 'State where UCC was filed (2-letter abbreviation). Alias: state_db.'
          examples:
            - - ND
              - MN
            - ND
        collateral:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Collateral
          description: Collateral description(s)
          examples:
            - - furniture
              - equipment
            - furniture
        collateral_match_mode:
          type: string
          enum:
            - or
            - and
          title: Collateral Match Mode
          description: >-
            How multiple collateral terms are combined. 'or' matches any
            provided term (default). 'and' requires all provided terms.
          default: or
          example: or
        assets:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Assets
          description: Assets description(s)
          examples:
            - - inventory
              - accounts receivable
            - inventory
        has_collateral:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Has Collateral
          description: Filter for UCCs that include collateral
          example: true
        has_assets:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Has Assets
          description: Filter for UCCs that include assets
          example: true
        has_continuation:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Has Continuation
          description: Filter for UCCs that include continuation filings
          example: true
        has_amendment:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Has Amendment
          description: Filter for UCCs that include amendments
          example: true
        has_website:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Has Website
          description: Filter for UCCs that include websites
          example: true
        has_contacts:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Has Contacts
          description: Filter for UCCs that include matched contacts
          example: true
        page:
          type: integer
          minimum: 1
          title: Page
          description: >-
            Page number of results to return. Must be greater than or equal to
            1.
          default: 1
          example: 1
        per_page:
          type: integer
          maximum: 50
          title: Per Page
          description: Number of results per page. Maximum is 50.
          default: 30
          example: 50
        naics_code:
          anyOf:
            - type: string
            - type: integer
            - items:
                anyOf:
                  - type: string
                  - type: integer
              type: array
            - type: 'null'
          title: Naics Code
          description: NAICS code(s)
          examples:
            - - '523110'
              - 541330
            - '523110'
            - 523110
        naics_description:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Naics Description
          description: NAICS description(s)
          examples:
            - - Investment Banking and Securities Dealing
              - Commercial Banking
            - Investment Banking and Securities Dealing
        eight_digit_sic_code:
          anyOf:
            - type: string
            - type: integer
            - items:
                anyOf:
                  - type: string
                  - type: integer
              type: array
            - type: 'null'
          title: Eight Digit Sic Code
          description: 8-digit SIC Code(s)
          examples:
            - - '61410103'
              - 12345678
            - '61410103'
            - 61410103
        eight_digit_sic_description:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Eight Digit Sic Description
          description: 8-digit SIC Code Description(s)
          examples:
            - - 'Financing: automobiles, furniture, etc., not a deposit bank'
              - Other description
            - 'Financing: automobiles, furniture, etc., not a deposit bank'
        four_digit_sic_code:
          anyOf:
            - type: string
            - type: integer
            - items:
                anyOf:
                  - type: string
                  - type: integer
              type: array
            - type: 'null'
          title: Four Digit Sic Code
          description: 4-digit SIC Code(s)
          examples:
            - - '6141'
              - 1234
            - '6141'
            - 6141
        four_digit_sic_description:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Four Digit Sic Description
          description: 4-digit SIC Code Description(s)
          examples:
            - - Personal credit institutions
              - Commercial banking
            - Personal credit institutions
        two_digit_sic_code:
          anyOf:
            - type: string
            - type: integer
            - items:
                anyOf:
                  - type: string
                  - type: integer
              type: array
            - type: 'null'
          title: Two Digit Sic Code
          description: 2-digit SIC Code(s)
          examples:
            - - '61'
              - 62
            - '61'
            - 61
        two_digit_sic_description:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Two Digit Sic Description
          description: 2-digit SIC Code Description(s)
          examples:
            - - Nondepository Credit Institutions
              - Commercial Banking
            - Nondepository Credit Institutions
        industry:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Industry
          description: Industry/industries
          examples:
            - - Banking
              - Financial Services
            - Banking
        secured_party_industry:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Secured Party Industry
          description: Secured-party industry/industries
          examples:
            - - Banking
              - Financial Services
            - Banking
        filing_number:
          anyOf:
            - type: string
            - type: integer
            - items:
                anyOf:
                  - type: string
                  - type: integer
              type: array
            - type: 'null'
          title: Filing Number
          description: 'Filing number(s). Alias: ucc_number.'
          examples:
            - - '12345678'
              - 2005-2120595-61
            - '12345678'
        one_filing_per_debtor:
          anyOf:
            - type: boolean
            - type: 'null'
          title: One Filing Per Debtor
          description: Return only one filing per debtor
          example: true
        company_filing_count:
          anyOf:
            - type: integer
            - type: number
            - type: string
            - items:
                anyOf:
                  - type: integer
                  - type: number
                  - type: string
              type: array
            - prefixItems:
                - anyOf:
                    - type: integer
                    - type: number
                    - type: string
                - anyOf:
                    - type: integer
                    - type: number
                    - type: string
              type: array
              maxItems: 2
              minItems: 2
            - additionalProperties:
                anyOf:
                  - type: integer
                  - type: number
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Company Filing Count
          description: >-
            Company filing count filter. Accepts number, [min,max], or
            {'min':x,'max':y}.
          examples:
            - 3
            - - 2
              - 10
            - max: 10
              min: 2
        modified_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Modified Date
          description: >-
            Date when record was last modified. Supports absolute formats (e.g.,
            YYYY-MM-DD, MM-DD-YYYY, YYYY/MM/DD, MM/DD/YYYY) or relative
            durations (e.g., 1 day(s), 2 week(s), 3 month(s), 4 year(s)).
          example: '2023-01-31'
        exclude:
          anyOf:
            - additionalProperties:
                items:
                  type: string
                type: array
              type: object
            - type: 'null'
          title: Exclude
          description: >-
            Exclude specific values from the search results. Allowed fields:
            `url`, `phone`.
          example:
            phone:
              - '9876543210'
            url:
              - https://exclude.com
        date_filed:
          anyOf:
            - type: string
            - type: 'null'
          title: Date Filed
          description: >-
            Date when the filing was made. Supports absolute formats (e.g.,
            YYYY-MM-DD, MM-DD-YYYY, YYYY/MM/DD, MM/DD/YYYY) or relative
            durations (e.g., 1 day(s), 2 week(s), 3 month(s), 4 year(s)).
          example: '2023-01-31'
        date_expired:
          anyOf:
            - type: string
            - type: 'null'
          title: Date Expired
          description: >-
            Date when the filing will expire. Supports absolute formats (e.g.,
            YYYY-MM-DD, MM-DD-YYYY, YYYY/MM/DD, MM/DD/YYYY) or relative
            durations (e.g., 1 day(s), 2 week(s), 3 month(s), 4 year(s)). For
            relative dates, direction can be specified with 'forwards' or
            'backwards' (e.g., '1 year forwards'); default is backwards.
          example: '2024-01-31'
        annual_revenue:
          anyOf:
            - type: integer
            - type: number
            - type: string
            - items:
                anyOf:
                  - type: integer
                  - type: number
                  - type: string
              type: array
            - prefixItems:
                - anyOf:
                    - type: integer
                    - type: number
                    - type: string
                - anyOf:
                    - type: integer
                    - type: number
                    - type: string
              type: array
              maxItems: 2
              minItems: 2
            - additionalProperties:
                anyOf:
                  - type: integer
                  - type: number
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Annual Revenue
          description: >-
            Annual revenue range (USD). Accepts number, [min,max], or
            {'min':x,'max':y}.
          examples:
            - 5000000
            - - 5000000
              - 20000000
            - max: 20000000
              min: 5000000
        number_employees:
          anyOf:
            - type: integer
            - type: number
            - type: string
            - items:
                anyOf:
                  - type: integer
                  - type: number
                  - type: string
              type: array
            - prefixItems:
                - anyOf:
                    - type: integer
                    - type: number
                    - type: string
                - anyOf:
                    - type: integer
                    - type: number
                    - type: string
              type: array
              maxItems: 2
              minItems: 2
            - additionalProperties:
                anyOf:
                  - type: integer
                  - type: number
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Number Employees
          description: >-
            Employee count range. Accepts number, [min,max], or
            {'min':x,'max':y}.
          examples:
            - 50
            - - 10
              - 250
            - max: 250
              min: 10
        time_in_business:
          anyOf:
            - type: integer
            - type: number
            - type: string
            - items:
                anyOf:
                  - type: integer
                  - type: number
                  - type: string
              type: array
            - prefixItems:
                - anyOf:
                    - type: integer
                    - type: number
                    - type: string
                - anyOf:
                    - type: integer
                    - type: number
                    - type: string
              type: array
              maxItems: 2
              minItems: 2
            - additionalProperties:
                anyOf:
                  - type: integer
                  - type: number
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Time In Business
          description: >-
            Time in business range (years). Accepts number, [min,max], or
            {'min':x,'max':y}.
          examples:
            - 3
            - - 1
              - 10
            - max: 10
              min: 1
      additionalProperties: false
      type: object
      title: DebtorRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````